Subject: L3VPN : CE Multihoming Question

From: Kalyankumar S Asangi <[email-masked]>
Date: Fri, 06 Apr 2007 09:58:10 +0800

Hi ,

I have question related to CE multihoming in the following scenario

1. CE1 is multi homed to PE1 and PE2 and sends the route 10.10.0.0/16 to both PE1 and PE2
2. PE1 select this route as best route and send it to PE3 as VPNv4 with RD 1:1 and ERT 11:11
3. PE2 also select this route as best route and send it to PE3 as VPNv4 with RD 2:2 and ERT 22:22
4. PE3 has VRF1 connected to CE2 with IRT 11:11 and 22:22 and OSPF is running between PE3 and CE2 
5. Now PE3 receives the two VPNv4 routes for prefix 10.10.0.0./16 from two sources with two different RD, 
   Which route PE3 BGP will choose and download to VRF1 ? 
6. Should BGP compare these two routes even if they come with two different RDs and download one route to VRF
   or download both routes to VRF as they come with two different RDs ?

Regards,
Kalyan

---

From: Kalyankumar S Asangi <[email-masked]>
Date: Fri, 06 Apr 2007 11:21:56 +0800

But as per RFC 4364 section 4.3, it is the decision process of protocol running between PE and CE

" At these other PEs, BGP will again choose the
   best route for a particular VPN-IP4 address prefix.  Then the chosen
   VPN-IP4 routes are converted back into IP routes, and "imported" into
   one or more VRFs.  Whether they are actually installed in the VRFs
   depends on the decision process of the routing method used between
   the PE and those CEs that are associated with the VRF in question.
   Finally, any route installed in a VRF may be distributed to the
   associated CE routers"

Regards,
Kalyan
  ----- Original Message ----- 
  From: RAUT Devendra 
  To: Kalyankumar S Asangi ; [email-masked] 
  Sent: Friday, April 06, 2007 10:31 AM
  Subject: RE: L3VPN : CE Multihoming Question

  Yes, BGP should compare these routes. Once RD is stripped and route is candidate for import into a VRF, the routes are 
  like any other BGP routes with attributes and should be compared.

  -Deven

------------------------------------------------------------------------------
  From: Kalyankumar S Asangi [mailto:[email-masked]] 
  Sent: Thursday, April 05, 2007 6:58 PM
  To: [email-masked]
  Subject: L3VPN : CE Multihoming Question

  Hi ,

  Regards,
  Kalyan